> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1migration



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Migration//swagger/v1/swagger.json get /api/v1/migration
openapi: 3.0.0
info:
  title: NDS.Services.Migration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Migration/
security: []
paths:
  /api/v1/migration:
    get:
      tags:
        - MigrationControllers
      operationId: MigrationControllers_MigrationHistory
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MigrationHistoryResult'
components:
  schemas:
    MigrationHistoryResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Migrations:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Migration'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Migration:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Source:
          type: string
          nullable: true
        Version:
          type: string
          nullable: true
        Success:
          type: boolean
        Data:
          type: string
          nullable: true
        Exception:
          type: string
          nullable: true
        Timestamp:
          type: string
          format: date-time

````